> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/describeeipnetworklinetypes.md).

# DescribeEipNetworkLineTypes

## 1. API Description

This API (DescribeEipNetworkLineTypes) is used to To view the list of IP line types supported by EIP, you can filter by node.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                        |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------- |
| regionId       | No       | String | <p>Region ID.</p><p>If not provided, it will return all the line types supported by the nodes.</p> |

## 3. Output Parameters

| Parameter Name         | Type                                                                                                      | Description                                                                                                           |
| ---------------------- | --------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId              | String                                                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| regionNetworkLineTypes | Array of [EipRegionNetworkLineType](/api-reference/compute/zec/datastructure.md#eipregionnetworklinetype) | List of IP line types supported by each node.                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the types of IP lines supported by all node EIPs.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipNetworkLineTypes
<Common Request Params>

Request：
{}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "regionNetworkLineTypes": [
      {
        "regionId": "asia-east-1",
        "networkLineTypes": ["PremiumBGP", "CN2"]
      },
      {
        "regionId": "north-america-west-1",
        "networkLineTypes": ["PremiumBGP", "LocalLine"]
      }
    ]
  }
}
```

**2. Query the types of IP lines supported by the EIP under the specified node asia-east-1.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipNetworkLineTypes
<Common Request Params>

Request：
{
  "regionId": "asia-east-1"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "regionNetworkLineTypes": [
      {
        "regionId": "asia-east-1",
        "networkLineTypes": ["PremiumBGP", "CN2"]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
